Перейти к содержимому


Версия 1.9.6


Сообщений в теме: 166

#1 Timur

    Активный участник

  • Техподдержка ООО "КБ"
  • PipPipPip
  • 810 сообщений
  • Пол:Мужчина

Отправлено 31 Октябрь 2012 - 15:09

Здесь обсуждаем версию 1.9.6

Основные нововведения: Страница загрузки версии 1.9.6

Страница краткого описания возможностей программы

Демонстрация бета версии beta.clientbase.ru

#2 wondertalik

    Активный участник

  • Пользователи
  • PipPipPip
  • 1 156 сообщений
  • Пол:Мужчина
  • Город:Кривой Рог, Украина

Отправлено 01 Ноябрь 2012 - 11:34

В подчиненных таблицах яваскрипт заработал?

#3 Гость_Roman_*

  • Гости

Отправлено 01 Ноябрь 2012 - 12:01

Нет, в подчинённых таблицах поведение JavaScript идентично поведению таблиц - он работает только при просмотре записи.

#4 dev77rus

    Активный участник

  • Пользователи
  • PipPipPip
  • 112 сообщений
  • Пол:Мужчина

Отправлено 01 Ноябрь 2012 - 13:13

Снес 1.9.5, залил 1.9.6 - первое что увидел fatal error

Fatal error: Incompatible file format: The encoded file has format major ID 4, whereas the Optimizer expects 2 in /usr/home/41669/---.ru/html/cbdemo/test_zend.php on line 0

#5 CbCoder

    Активный участник

  • Программист ООО "КБ"
  • PipPipPip
  • 8 658 сообщений
  • Пол:Мужчина
  • Город:Казань

Отправлено 01 Ноябрь 2012 - 13:15

Не для той версии php скачали дистрибутив, скорее всего.

#6 dev77rus

    Активный участник

  • Пользователи
  • PipPipPip
  • 112 сообщений
  • Пол:Мужчина

Отправлено 01 Ноябрь 2012 - 13:21

Ну точно, спасибо! Раньше было очевидней какую версию качаешь)

#7 dev77rus

    Активный участник

  • Пользователи
  • PipPipPip
  • 112 сообщений
  • Пол:Мужчина

Отправлено 01 Ноябрь 2012 - 14:07

Теперь такая ошибка, два раза пробовал установить.
Все таблицы в базе с префиксом cb_tmp_, хотя в настройках при установке стоит cb_

SQL error in
SELECT * FROM `cb_fields` WHERE `type_field`=4

Table 'db74999m.cb_fields' doesn't exist

In function:

/usr/home/41669/---.ru/html/cbdemo/setup.php(138) : load_backup()
/usr/home/41669/---.ru/html/cbdemo/include/functions_cron.php(350) : check_version_update()
/usr/home/41669/---.ru/html/cbdemo/include/functions1.php(3212) : include()
/usr/home/41669/---.ru/html/cbdemo/bd_update/revision_6142.php(3) : sql_select()

#8 wondertalik

    Активный участник

  • Пользователи
  • PipPipPip
  • 1 156 сообщений
  • Пол:Мужчина
  • Город:Кривой Рог, Украина

Отправлено 02 Ноябрь 2012 - 02:03

Скачал локальную версию. Установил начисто. После установки попытался запустить. И первый еррор (скрин). ОС: виндоус 7. кб для пхп 5.3.

Прикрепленные изображения

  • Прикрепленное изображение: first_install_196.png


#9 Timur

    Активный участник

  • Техподдержка ООО "КБ"
  • PipPipPip
  • 810 сообщений
  • Пол:Мужчина

Отправлено 02 Ноябрь 2012 - 11:17

Здравствуйте. Скачивалась именно локальная версия? Или же все-таки web для php 5.3 ?

#10 wondertalik

    Активный участник

  • Пользователи
  • PipPipPip
  • 1 156 сообщений
  • Пол:Мужчина
  • Город:Кривой Рог, Украина

Отправлено 02 Ноябрь 2012 - 11:33

Именно локальная с Вашим веб-сервером.

#11 Timur

    Активный участник

  • Техподдержка ООО "КБ"
  • PipPipPip
  • 810 сообщений
  • Пол:Мужчина

Отправлено 02 Ноябрь 2012 - 12:09

Понял, сейчас проверим этот момент.

#12 dev77rus

    Активный участник

  • Пользователи
  • PipPipPip
  • 112 сообщений
  • Пол:Мужчина

Отправлено 02 Ноябрь 2012 - 12:12

У меня такая же ошибка выскакивает, если попытаться обновить страницу после вышеуказанной мной ошибки SQL error in.
Веб-версия под php 5.2

#13 Timur

    Активный участник

  • Техподдержка ООО "КБ"
  • PipPipPip
  • 810 сообщений
  • Пол:Мужчина

Отправлено 02 Ноябрь 2012 - 12:24

Просмотр сообщенияwondertalik (02 Ноябрь 2012 - 02:03) писал:

Скачал локальную версию. Установил начисто. После установки попытался запустить. И первый еррор (скрин). ОС: виндоус 7. кб для пхп 5.3.
После установки Вы выходите в окно установки, где необходимо указывать загружаемую конфигурацию и выбрать, что программа будет использоваться только на этом компьютере или на нескольких компьютерах? Либо же эта ошибка происходит сразу при прогрузке в браузере окна с программой? просто не удалось пока повторить ни вашу ошибку, ни ошибку пользователя dev77rus.

#14 dev77rus

    Активный участник

  • Пользователи
  • PipPipPip
  • 112 сообщений
  • Пол:Мужчина

Отправлено 02 Ноябрь 2012 - 12:37

Добавлю, у меня по какой-то причине при установке web версии для php 5.2 в базе всем таблицам присваивается префикс cb_tmp_, хотя в настройках при установке стоит только cb_. Я поменял значение в настройках установки на cb_tmp_, имена таблиц в базе mysql получил соответственно cb_tmp_tmp_. Первая ошибка выскакивает в процессе установки, вторая - при попытке обновить страницу. После этого можно только все снести.

Сообщение отредактировал dev77rus: 02 Ноябрь 2012 - 12:39


#15 Timur

    Активный участник

  • Техподдержка ООО "КБ"
  • PipPipPip
  • 810 сообщений
  • Пол:Мужчина

Отправлено 02 Ноябрь 2012 - 13:02

Могу посоветовать вам скачать сейчас последнюю ревизию программы и попробовать установить ее.

#16 wondertalik

    Активный участник

  • Пользователи
  • PipPipPip
  • 1 156 сообщений
  • Пол:Мужчина
  • Город:Кривой Рог, Украина

Отправлено 02 Ноябрь 2012 - 13:41

Только что скачал и установил локальную кб. Запустил после установки и сразу. В итоге:

if ($user_pass != $user['password'])
Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at C:\Program Files\MSTL\ClientBase196\www\login.php:1) in C:\Program Files\MSTL\ClientBase196\www\common.php on line 25
Warning: Cannot modify header information - headers already sent by (output started at C:\Program Files\MSTL\ClientBase196\www\login.php:1) in C:\Program Files\MSTL\ClientBase196\www\common.php on line 28
SQL error.

При том, что это уже на ноутбуке.

Сообщение отредактировал wondertalik: 02 Ноябрь 2012 - 13:48


#17 Timur

    Активный участник

  • Техподдержка ООО "КБ"
  • PipPipPip
  • 810 сообщений
  • Пол:Мужчина

Отправлено 02 Ноябрь 2012 - 14:38

Проблема выявлена и передана на исправление программисту.

#18 wondertalik

    Активный участник

  • Пользователи
  • PipPipPip
  • 1 156 сообщений
  • Пол:Мужчина
  • Город:Кривой Рог, Украина

Отправлено 02 Ноябрь 2012 - 14:58

Спасибо.

#19 Oleg_

    Активный участник

  • Пользователи
  • PipPipPip
  • 118 сообщений

Отправлено 04 Ноябрь 2012 - 00:43

Не могу установить 1.9.6
1.9.5 работает
PHP Version 5.4.7
SQL error in
SELECT * FROM `cb_fields` WHERE `type_field`=4
Table 'baza.cb_fields' doesn't exist
In function:
/home/clas/data/www/el-classic.ru/setup.php(0) : load_backup()
/usr/home/clas/data/www/clas.ru/include/functions_cron.php(350) : check_version_update()
/usr/home/clas/data/www/clas.ru/include/functions1.php(3212) : include()
/usr/home/clas/data/www/clas.ru/bd_update/revision_6142.php(3) : sql_select()


#20 andibrag

    Прежде, чем задать вопрос, продумайте свое решение.

  • Активный пользователь
  • PipPipPip
  • 1 327 сообщений
  • Пол:Мужчина
  • Город:Санкт-Петербург

Отправлено 04 Ноябрь 2012 - 11:56

А что по поводу прав доступа? Изменения будут?

Творческая группа "ТАВР".

www.MEGATAVR.com Художественная ковка, витражи, мозаика, фрески.

www.iGal.pro Уникальный мангал.






Количество пользователей, читающих эту тему: 1

0 пользователей, 1 гостей, 0 анонимных